# $Id: smeserver-subversion.spec,v 1.7 2024/09/06 10:41:12 terryfage Exp $
# Authority: snetram
# Name: Jonathan Martens

Summary: Subversion for SME Server
%define name smeserver-subversion
Name: %{name}
%define version 1.7
%define release 15
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-mod_dav subversion >= 1.2 
Requires: smeserver-release >= 10.0
Requires: e-smith-apache >= 2.6.0-19 
Requires: mod_dav_svn httpd >= 2 
Requires: e-smith-formmagick >= 1.4.0-12
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of Subversion for SME Server 9 using WebDAV.

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.7-15.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Sep 06 2024 Terry Fage <terry@fage.id.au> 1.7-14.sme
- apply locale 2024-09-06.patch

* Sat Oct 01 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.7-13.sme
- rebuild with perl.prov

* Mon Aug 01 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.7-12.sme
- update to httpd 2.4 access syntax [SME: 12061]
  thanks to Vasarhelyi Zsolt for the patch
- add update event

* Tue Aug 24 2021 Terry Fage <terry.fage@gmail.com> 1.7-11.sme
- apply locale 2021-08-24 patch

* Thu Oct 29 2020 Brian Read <brianr@bjsystems.co.uk> 1.7-10.sme
- Initial import to SME10 tree [SME: 11069]

* Fri Dec 14 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 1.7-9.sme
- apply locale 2018-12-14 patch

* Wed Feb 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.7-8.sme
- apply locale 2017-02-02.patch

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.7-7.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.7-6.sme
- Added smeserver-subversion-1.7-locale-2015-09-12.patch

* Fri Aug 21 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.7-5.sme
- Initial release to contribs9

* Tue Aug 11 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.7-4
- change the subversion url to subversion.apache.org

* Mon Jul 27 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.7-3
- added AuthBasicProvider external to the http authentication
- correct path to pwauth

* Fri Jul 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.7-1
- first release to sme9

* Fri Sep 7 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.5-3.sme
- Fix location of pwauth on 64 bit systems [SME: 7093]

* Wed Jun 13 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.5-2.sme
- Prevent empty description [SME: 6988]
- Apply latest locale patch

* Sat May 26 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.5-1.sme
- Initial version

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
